package llc.arma.ble.domain.repository

import llc.arma.ble.domain.model.Ble
import java.io.File

interface XlsxRepository {

    fun exportAccelDataToXls(
        bleName: String,
        data: List<Ble.Accelerometer.HistoryPoint>
    ): File

    fun exportHostDataToXls(
        bleName: String,
        data: List<Ble.Host.HistoryPoint>
    ): File

}